package com.bytedance.android.livesdk.livesetting.performance.degrade;

import X.7he;
import X.C2274GYx;
import X.C2275GYy;
import X.Crj;
import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.covode.number.Covode;

@SettingsKey("bad_phones_watch_live_common_ui_opt")
public final class BadPhonesWatchLiveCommonUIOptSetting {
    public static final BadPhonesWatchLiveCommonUIOptSetting INSTANCE = new BadPhonesWatchLiveCommonUIOptSetting();
    @Group(isDefault = true, value = "control_group")
    public static final C2275GYy V1 = new C2275GYy();
    @Group("experimental_group_remove_top_bottom_shadow")
    public static final C2275GYy V2;
    @Group("experimental_group_disable_gauss_blurred")
    public static final C2275GYy V3;
    @Group("experimental_group_remove_insert_message_animation")
    public static final C2275GYy V4;
    public static final Crj delayWidgetLoadConfig$delegate = 7he.LIZ(C2274GYx.LIZ);

    private final C2275GYy getDelayWidgetLoadConfig() {
        return (C2275GYy) delayWidgetLoadConfig$delegate.getValue();
    }

    public final boolean getDisableGaussBlurred() {
        return getDelayWidgetLoadConfig().LIZIZ;
    }

    public final boolean getRemoveInsertMessageAnimation() {
        return getDelayWidgetLoadConfig().LIZJ;
    }

    public final boolean getRemoveTopBottomShadow() {
        return getDelayWidgetLoadConfig().LIZ;
    }

    static {
        Covode.recordClassIndex(18182);
        C2275GYy gYy = new C2275GYy();
        gYy.LIZ = true;
        V2 = gYy;
        C2275GYy gYy2 = new C2275GYy();
        gYy2.LIZIZ = true;
        V3 = gYy2;
        C2275GYy gYy3 = new C2275GYy();
        gYy3.LIZJ = true;
        V4 = gYy3;
    }
}
